%define name libchipcard2
%define version 2.1.8
%define fversion %{version}
%define release %mkrel 1
%define major 0
%define libname %mklibname chipcard2_ %major

Summary: A library for easy access to smart cards (chipcards)
Name: %{name}
Version: %{version}
Release: %{release}
Source: http://prdownloads.sourceforge.net/libchipcard/%{name}-%{fversion}.tar.bz2
Group: System/Libraries
License: GPL
URL: http://www.libchipcard.de
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: libgwenhywfar-devel >= 2.3
BuildRequires: opensc-devel >= 0.9.4
BuildRequires: libusb-devel
BuildRequires: libsysfs-devel
BuildRequires: kernel-source

%description
Libchipcard allows easy access to smart cards. It provides basic access
to memory and processor cards and has special support for German medical
cards, German "Geldkarten" and HBCI (homebanking) cards (both type 0 and 
type 1).
It accesses the readers via CTAPI or PC/SC interfaces and has successfully
been tested with Towitoko, Kobil and Reiner-SCT readers.
This package contains the chipcard2-daemon needed to access card readers.

%package -n %libname
Group: System/Libraries
Summary: A library for easy access to smart cards (chipcards)
Requires: %name >= %version

%description -n %libname
Libchipcard allows easy access to smart cards. It provides basic access
to memory and processor cards and has special support for German medical
cards, German "Geldkarten" and HBCI (homebanking) cards (both type 0 and 
type 1).
It accesses the readers via CTAPI or PC/SC interfaces and has successfully
been tested with Towitoko, Kobil and Reiner-SCT readers.
This package contains the chipcard2-daemon needed to access card readers.


%package -n %libname-devel
Summary: LibChipCard server development kit
Group: Development/C
Requires: %libname = %version
Provides: %name-devel = %version-%release

%description  -n %libname-devel
This package contains chipcard2-server-config and header files for writing 
drivers, services or even your own chipcard daemon for LibChipCard.


%prep
%setup -q -n %name-%fversion

%build
%configure2_5x
%make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
LIBRARY_PATH=$RPM_BUILD_ROOT%{_libdir} %makeinstall_std
perl -pi -e "s^-L$RPM_BUILD_DIR/%name-%fversion/src/lib/chipcard2-client^^" %buildroot%_libdir/*.la %buildroot%_libdir/gwenhywfar/plugins/*/*/*.la
chmod 644 %buildroot%_libdir/*.la %buildroot%_libdir/gwenhywfar/plugins/*/*/*.la

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files -n %libname
%defattr(-,root,root,0755)
%{_libdir}/libchipcard*.so.%{major}*
%{_libdir}/reader-libchipcard2.so.%{major}*

%files -n %libname-devel
%defattr(-,root,root,0755)
%doc README COPYING ChangeLog
%{_libdir}/*.so
%{_bindir}/chipcard2-server-config
%{_bindir}/chipcard2-client-config
%{_includedir}/*
%attr(644,root,root) %{_libdir}/*.*a
%{_datadir}/aclocal/chipcard2-server.m4
%{_datadir}/aclocal/chipcard2-client.m4

%files
%defattr(-,root,root,0755)
%doc README COPYING ChangeLog
%{_libdir}/chipcard2-server
%{_libdir}/gwenhywfar/plugins
%config(noreplace) %{_sysconfdir}/chipcard2-client
%config(noreplace) %{_sysconfdir}/chipcard2-server
%{_bindir}/cardcommander2
%{_bindir}/chipcard-tool
%{_bindir}/geldkarte2
%{_bindir}/kvkcard2
%{_bindir}/memcard2
%{_bindir}/rsacard2
%{_sbindir}/chipcardd2
%{_sbindir}/chipcardrd

%changelog
* Sat Aug 26 2006 Götz Waschk <waschk@mandriva.org> 2.1.8-1mdv2007.0
- New release 2.1.8

* Fri Jul 14 2006 Götz Waschk <waschk@mandriva.org> 2.1.7-1mdv2007.0
- drop patch
- New release 2.1.7

* Fri Jun 16 2006 Götz Waschk <waschk@mandriva.org> 2.1.5-1mdv2007.0
- fix build
- bump deps
- New release 2.1.5

* Fri May 05 2006 Götz Waschk <waschk@mandriva.org> 2.1.4-1mdk
- New release 2.1.4

* Mon Mar 27 2006 Götz Waschk <waschk@mandriva.org> 2.1.3-1mdk
- New release 2.1.3

* Tue Mar 21 2006 Götz Waschk <waschk@mandriva.org> 2.1.2-1mdk
- drop patch
- New release 2.1.2

* Tue Mar 07 2006 Götz Waschk <waschk@mandriva.org> 2.1.1-1mdk
- New release 2.1.1

* Tue Feb 28 2006 Götz Waschk <waschk@mandriva.org> 2.1-1mdk
- bump  deps
- New release 2.1

* Wed Feb 15 2006 Götz Waschk <waschk@mandriva.org> 2.0-1mdk
- new version

* Wed Jan 18 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.9.19-2mdk
- rebuild for new gwenhywfar

* Mon Jan 09 2006 Götz Waschk <waschk@mandriva.org> 1.9.19-1mdk
- New release 1.9.19

* Sat Jan 07 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.9.18-2mdk
- patch0: fix build with new libsysfs

* Sat Dec 03 2005 Götz Waschk <waschk@mandriva.org> 1.9.18-1mdk
- New release 1.9.18

* Fri Dec  2 2005 Götz Waschk <waschk@mandriva.org> 1.9.17-1mdk
- initial package


